Package org.apache.lucene.misc.index

## Class BPIndexReorderer.NotEnoughRAMException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.lucene.misc.index.BPIndexReorderer.NotEnoughRAMException

- All Implemented Interfaces:
    `Serializable`
  Enclosing class:
    BPIndexReorderer

      public static class BPIndexReorderer.NotEnoughRAMException
      extends RuntimeException

  Exception that is thrown when not enough RAM is available.
  See Also:
    Serialized Form

- - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`